﻿@using DocumentFormat.OpenXml.Wordprocessing
@{
    ViewBag.Title = "Loss Event";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}

<link href="~/Content/plugins/bootstrap-datepicker/css/bootstrap-datepicker.css" rel="stylesheet" />
<script src="~/Content/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>

<script type="text/javascript">

    var oTable;

    function loadStatus() {
        return $.ajax({
            url: '@Url.Action("GetStatus", "LossEventDB")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#ddlStatus').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlStatus').append('<option value="0">No data found</option>');
            }
        });
    }
    $(function () {



        $('#dtDate').datepicker({
            "autoclose": true,
            format: "dd-mm-yyyy"
        });

        $('#dtiDate').click(function () {
            $('#dtDate').datepicker('show');
        });
    });

    function loadDetail() {
        var GetDetail = '@Url.Action("getLossEventDBDetail", "LossEventDB", new { rowid = @ViewBag.RowId })';
        $.ajax(GetDetail, {
            contentType: 'application/json; charset=utf-8',
            dataType: 'json',
            type: 'POST',
            success: function (GetDetail) {
                if (GetDetail.success) {
                    document.getElementById("txtNo").value = GetDetail.no;
                    document.getElementById("dtDate").value = GetDetail.date;
                    document.getElementById("txtdescofnearmissincident").value = GetDetail.desc;
                    document.getElementById("ddlStatus").value = GetDetail.status;
                    document.getElementById("txtRelatedParties").value = GetDetail.relatedparties;
                    document.getElementById("txtFinancialImpact").value = GetDetail.financialimpact;
                    document.getElementById("txtOtherImpact").value = GetDetail.otherimpact;
                    document.getElementById("txtCurrentAction").value = GetDetail.currentaction;
                    document.getElementById("txtNextAction").value = GetDetail.nextaction;
                }
            },
            error: function () {

            }
        });
    }


    $(document).ready(function () {
        loadStatus().then(loadDetail);
        
        $("#btnSave").click(function () {
            //validation
            if ($('#dtDate').val() == "" || $('#txtdescofnearmissincident').val().length == 0 || $('#txtRelatedParties').val().length == 0 ||
                $('#txtCurrentAction').val().length == 0 || $('#txtNextAction').val().length == 0) {
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill mandatory field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            } else {

                //confirmation
                bootbox.confirm({
                    title: "<i class='fa fa-warning fa-2x'></i> Save Confirmation",
                    message: 'Are you sure you want to save this data. <br>If not, click Cancel',
                    buttons: {
                        'cancel': {
                            label: '<i class="fa fa-times"></i> Cancel',
                            className: 'btn-default pull-left'
                        },
                        'confirm': {
                            label: '<i class="fa fa-check"></i> Yes, Continue save',
                            className: 'btn-primary pull-right'
                        }
                    },
                    callback: function (result) {
                        if (result) {
                            var LossEventDBList = [
                                 {
                                     id: '@ViewBag.RowId',
                                     date: $('#dtDate').val(),
                                     desc: $('#txtdescofnearmissincident').val(),
                                     status: $('#ddlStatus').val(),
                                     relatedparties: $('#txtRelatedParties').val(),
                                     financialimpact: $('#txtFinancialImpact').val(),
                                     otherimpact: $('#txtOtherImpact').val(),
                                     currentaction: $('#txtCurrentAction').val(),
                                     nextaction: $('#txtNextAction').val(),
                                 }
                            ];

                            LossEventDBList.push();

                            var formData = new FormData();
                            formData.append("LossEventDBList", JSON.stringify(LossEventDBList));


                            //Save Process
                            $.ajax({
                                type: "POST",
                                url: '@Url.Action("SaveLossEventDB", "LossEventDB")',
                                data: formData,
                                dataType: 'json',
                                contentType: false,
                                processData: false,
                                //beforeSend: function () {
                                //    //$("#loader").show();
                                //},
                                success: function (data) {
                                    bootbox.dialog({
                                        message: data.message,
                                        title: data.title,
                                        buttons: {
                                            main: {
                                                label: "<i class='fa fa-check'></i> Ok",
                                                className: "btn-primary",
                                                callback: function () {
                                                    if (result) {
                                                        if (data.status) {
                                                            window.location.href = '@Url.Action("LossEventDB", "LossEventDB")';
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    });
                                }
                            });

                        }
                    }
                });
            }


        });
    });


</script>

<style>
    .label-def-margin {
        margin-top: 6px;
    }

    .required:after {
        content: "*";
        color: red;
    }

    hr {
        border-width: 1px;
        border-color: black;
    }
</style>


<div class="col-sm-12">
    <div class="panel panel-primary" style="margin-bottom: 0;">
        <div class="panel-heading">
            Edit Loss Event

        </div>
        <div class="panel-body">
            <!--no-->
            <div class="row">
                <div class="col-sm-1"><label class="label-def-margin required" for="txtNo">No</label></div>
                <div class="col-sm-3"><input class="form-control" readonly="true" type="text" id="txtNo" /></div>
            </div>
            <!--date-->
            <div class="row">
                <div class="col-sm-1"><label class="label-def-margin required" for="dtDate">Date</label></div>
                <div class="col-sm-3">
                    <div class='input-group date'>
                        <input id='dtDate' name="LEDate" placeholder="dd-mm-yyyy" readonly="readonly" data-format="dd-MM-yyyy" type='text' class="form-control" />
                        <span class="input-group-addon" id="dtiDate">
                            <span class="glyphicon glyphicon-calendar"></span>
                        </span>
                    </div>
                </div>
            </div>
            <!--descofnearmissincident-->
            <div class="row">
                <div class="col-sm-1"><label class="label-def-margin required" for="txtdescofnearmissincident">Description of <br>Near/ Miss Incident</label></div>
                <div class="col-sm-7"><textarea class="form-control" rows="5" id="txtdescofnearmissincident"></textarea></div>
            </div>
            <!--status-->
            <div class="row">
                <div class="col-sm-1"><label class="label-def-margin required" for="ddlStatus">status</label></div>
                <div class="col-sm-3">
                    <select class="form-control" id="ddlStatus"></select>
                </div>
            </div>
            
            <!--relatedparties-->
            <div class="row">
                <div class="col-sm-1"><label class="label-def-margin required" for="txtRelatedParties">Related Parties</label></div>
                <div class="col-sm-7"><textarea class="form-control" rows="5" id="txtRelatedParties"></textarea></div>
            </div>
            <hr />
            <!--financialimpact-->
            
            <div class="row">
                <div class="col-sm-1"><label class="label-def-margin" for="txtFinancialImpact">Financial Impact</label></div>
                <div class="col-sm-7"><textarea class="form-control" rows="5" id="txtFinancialImpact"></textarea></div>
            </div>
            <!--otherimpact-->
            <div class="row">
                <div class="col-sm-1"><label class="label-def-margin" for="txtOtherImpact">Other Impact</label></div>
                <div class="col-sm-7"><textarea class="form-control" rows="5" id="txtOtherImpact"></textarea></div>
            </div>
            <div class="row">
                <div class="col-sm-12"><label class="label-def-margin text-red">Note : Select minimum 1 (Financial Impact/ Other Impact)</label></div>
            </div>
            <hr />
            <!--currentaction-->
            <div class="row">
                <div class="col-sm-1"><label class="label-def-margin required" for="txtCurrentAction">Current Action</label></div>
                <div class="col-sm-7"><textarea class="form-control" rows="5" id="txtCurrentAction"></textarea></div>
            </div>
            <!--nextaction-->
            <div class="row">
                <div class="col-sm-1"><label class="label-def-margin required" for="txtNextAction">Next Action</label></div>
                <div class="col-sm-7"><textarea class="form-control" rows="5" id="txtNextAction"></textarea></div>
            </div>


        </div>
        <div class="panel-footer">
            <div class="row">
                <div class="col-sm-12">
                    <button type="button" class="btn btn-primary" id="btnSave">
                        <span class="glyphicon glyphicon-floppy-disk"></span> Save
                    </button>
                    &nbsp;
                    <button type="button" class="btn btn-primary" onclick="@("window.location.href='" + @Url.Action("LossEventDB", "LossEventDB") + "'");">
                        <span class="glyphicon glyphicon-circle-arrow-left"></span> Back
                    </button>
                </div>
            </div>
        </div>



    </div>
</div>
